Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.e4.view
Class ECPModelView

    java.lang.Object
      org.eclipse.emf.ecp.ui.e4.view.ECPModelView

    public class ECPModelView

extends Object

Model Explorer View Part.

Author:
  Jonas

Field Summary
`static String` | `P_LINK_WITH_EDITOR`

Constructor Summary
`ECPModelView()`

Method Summary
`void` | `create(org.eclipse.swt.widgets.Composite composite, org.eclipse.e4.ui.services.EMenuService menuService, org.eclipse.e4.ui.workbench.modeling.ESelectionService selectionService, org.eclipse.e4.ui.model.application.ui.basic.MPart part)` Creates the model explorer view.
`void` | `setActivePart(org.eclipse.e4.ui.model.application.ui.basic.MPart part)`
`void` | `setFocus()` Sets the focus to the tree.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P_LINK_WITH_EDITOR

    public static final String P_LINK_WITH_EDITOR

See Also:
  Constant Field Values

Constructor Detail

### ECPModelView

    public ECPModelView()

Method Detail

### create

    @PostConstruct
    public void create(org.eclipse.swt.widgets.Composite composite,
                                     org.eclipse.e4.ui.services.EMenuService menuService,
                                     org.eclipse.e4.ui.workbench.modeling.ESelectionService selectionService,
                                     org.eclipse.e4.ui.model.application.ui.basic.MPart part)

  Creates the model explorer view.

  Parameters:
    `composite` - the parent `Composite`
    `menuService` - the menu service to register the context menu
    `selectionService` - the selection service to publish the selection of the tree viewer.
    `part` - the current `MPart`

### setActivePart

    @Inject
    public void setActivePart(@Named(value="e4ActivePart")@Optional
                                     org.eclipse.e4.ui.model.application.ui.basic.MPart part)

### setFocus

    @Focus
    public void setFocus()

  Sets the focus to the tree.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.